<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_db98357e662ee4057f8" . "9ee50fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hh" . "cmVkIGFzc2V0cyBj" . "YWNoZQ=="), "_8368ecd0faa75c04b4e54eac3b" . "d45d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uI" . "GNhY2hl"), "_282505db60b6a60f1a0c54a0f8c" . "27092" => base64_decode("VEVNUExBVEVSX0NBQ" . "0hFX0RJUg=="), "_2935eb81473a5cdf16" . "4ba52dc31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGNh" . "Y2hlcw=="), "_3d13c2fddaab" . "71a09eeaf2260" . "7f1db0f" => base64_decode("Q2xlYXJpbmcgYWxs" . "IHNoYXJlZCBjYWNo" . "ZXM="), "_8fec21706b" . "d243b37ecf6" . "2b1caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_d9040256bff96ad2c2" . "21f79439e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZWN0b3" . "J5IA=="), "_2ac6cb432a5df959" . "efdffbcd288d0745" => base64_decode("Q2xlYXJp" . "bmcgdGVt" . "cGxhdGVy" . "IGNhY2hl"), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_db7b295629faa16027a2c263095eb" . "a70" => base64_decode("cGhwX3N" . "hcGlfbm" . "FtZQ=="), "_22ac6aae2762e" . "0f310c495384c4" . "77dc8" => base64_decode("Lmdp" . "dGtl" . "ZXA="), "_8fd6da143a742433037d3741c2" . "6c9f14" => base64_decode("Q2xlYXJpbmcgbG" . "9jYWwgYXNzZXRz" . "IGNhY2hl"), "_f02edf67305f5d984784e5a63acb5" . "f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9tIHRoZSBjb21tYW5kIGx" . "pbmUp"), "_edd716f" . "0baedc24" . "27c121be" . "529bf222" . "d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNh" . "Y2hlcw=="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_282505db60b6a60f1a0c54a0f8" . "c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_edd716f" . "0baedc24" . "27c121be" . "529bf222" . "d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_db7b295629faa16027a2c" . "263095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8fec21706bd243b37ecf62b1caf8" . "fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f02edf67305f5d984784e5a63ac" . "b5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3d13c2fddaab71a09ee" . "af22607f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8368ecd0" . "faa75c04b" . "4e54eac3b" . "d45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8fd6da143" . "a742433037" . "d3741c26c9" . "f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_db98357e662ee4057f89" . "ee50fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2935eb81473a5cdf164ba5" . "2dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159697c" . "90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2ac6cb432" . "a5df959efd" . "ffbcd288d0" . "745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d9040256bff96ad2c221" . "f79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_22ac6aae2762e0f310c49" . "5384c477dc8"]);
    }
}